## psi-translations 1.9

=== Makefile ===
all:
	lrelease psi.pro

clean:
	rm *.qm

## psi-translations 1.6

=== debian/changelog ===
psi-translations (1.6) unstable; urgency=low

  * Updated for psi 0.9
  * Adapted Build-Depends to current qt3 packaging (Closes: Bug#202029)

 -- Jan Niehusmann <jan@debian.org>  Sun, 20 Jul 2003 18:51:15 +0200

psi-translations (1.4) unstable; urgency=low

  * Build-depend on qt3-tools. Sorry for that stupid bug. (Closes: Bug#173072)
  * Updated Spanish language pack, thanks to Jos Mazzone
  * Updated French language pack, thanks to Martin Hamant
  * Updated Macedonian language pack, thanks to Marija Kostovska

 -- Jan Niehusmann <jan@debian.org>  Mon, 30 Dec 2002 09:28:23 +0100

psi-translations (1.3) unstable; urgency=low

  * Added Polish translation

 -- Jan Niehusmann <jan@debian.org>  Mon,  9 Dec 2002 00:23:55 +0100

psi-translations (1.2) unstable; urgency=low

  * Changed description to shortly mention what psi is. (Closes: Bug#169499)

 -- Jan Niehusmann <jan@debian.org>  Mon, 18 Nov 2002 10:34:29 +0100

psi-translations (1.1) unstable; urgency=low

  * added psi_mk, psi_nl, psi_ru

 -- Jan Niehusmann <jan@debian.org>  Sat, 16 Nov 2002 15:04:19 +0100

psi-translations (1.0) unstable; urgency=low

  * Initial Release.
  * added psi_cz, psi_de, psi_es, psi_fr

 -- Jan Niehusmann <jan@debian.org>  Sun, 10 Nov 2002 19:09:09 +0100

=== debian/control ===
Source: psi-translations
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0), qt3-dev-tools | qt3-tools
Standards-Version: 3.5.8

Package: psi-translations
Architecture: all
Depends: ${shlibs:Depends}, psi
Description: Translations for psi
 This package contains translations for the jabber client 'psi' 
 to the following languages:
  - Czech (psi_cz)
  - Dutch (psi_nl)
  - French (psi_fr)
  - German (psi_de)
  - Macedonian (psi_mk)
  - Polish (psi_pl)
  - Russian (psi_ru)
  - Spanish (psi_es)
 Further translations will be included when available.

## psi-translations 1.7

=== debian/changelog ===
psi-translations (1.7) unstable; urgency=low

  * Updated the following translations for psi 0.9.2:
    psi_nl
    psi_fr
    psi_de
    psi_pl
  * Added the following translations for psi 0.9.2:
    psi_sk
    psi_fi
    psi_sw
    (Closes: Bug#230915)

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Aug 2004 14:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Niehusmann <jan@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0), qt3-dev-tools | qt3-tools
-Standards-Version: 3.5.8
+Standards-Version: 3.6.1
 
 Package: psi-translations
 Architecture: all
@@ -15,8 +15,11 @@
   - Dutch (psi_nl)
   - French (psi_fr)
   - German (psi_de)
+  - Kiswahili (psi_sw)
   - Macedonian (psi_mk)
   - Polish (psi_pl)
   - Russian (psi_ru)
+  - Slovak (psi_sk) 
   - Spanish (psi_es)
+  - Suomi (Finnish) (psi_fi)
  Further translations will be included when available.

## psi-translations 1.8

=== debian/changelog ===
psi-translations (1.8) unstable; urgency=low

  * Updated the following translations for psi 0.9.3:
    psi_de (0.9.3 a)
    psi_es (0.9.3 b)
    psi_fr (0.9.3 a)
    psi_mk (0.9.3 a)
    psi_nl (0.9.3 b)
    psi_pl (0.9.3 b)
    psi_ru (0.9.3 a)
    psi_sk (0.9.3 b)

 -- Jan Niehusmann <jan@debian.org>  Thu, 24 Mar 2005 09:07:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: psi-translations
 Architecture: all
-Depends: ${shlibs:Depends}, psi
+Depends: ${shlibs:Depends}, psi (>= 0.9.3-1)
 Description: Translations for psi
  This package contains translations for the jabber client 'psi' 
  to the following languages:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(CURDIR)/debian/psi-translations/usr/share/psi/
	cp ./*.qm $(CURDIR)/debian/psi-translations/usr/share/psi/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## psi-translations 1.9

=== debian/changelog ===
psi-translations (1.9) unstable; urgency=low

  * Updated the following translations for psi 0.10:
    psi_ca (0.10 a)
    psi_de (0.10 a)
    psi_et (0.10 a)
    psi_es (0.10 a)
    psi_eo (0.10 a)
    psi_fr (0.10 a)
    psi_hu (0.10 a)
    psi_it (0.10 a)
    psi_nl (0.10 a)
    psi_pl (0.10 a)
    psi_pt (0.10 a)
    psi_pt_BR (0.10 a)
    psi_sk (0.10 a)
    psi_sl (0.10 b)
    psi_sr@Latn (0.10 a)
    psi_vi (0.10 b)
    psi_cs (0.10 a)
    psi_bg (0.10 b)
    psi_mk (0.10 a)
    psi_zh (0.10 a)

 -- Jan Niehusmann <jan@debian.org>  Tue, 31 Oct 2006 23:50:07 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), qt3-dev-tools | qt3-tools
-Standards-Version: 3.6.1
+Build-Depends-Indep: qt3-dev-tools | qt3-tools
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.7.2
 
 Package: psi-translations
 Architecture: all
-Depends: ${shlibs:Depends}, psi (>= 0.9.3-1)
+Depends: ${shlibs:Depends}, psi (>= 0.10-1)
 Description: Translations for psi
  This package contains translations for the jabber client 'psi' 
  to the following languages:

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4

## psi-translations 1.10

=== debian/changelog ===
psi-translations (1.10) unstable; urgency=low

  * Update build process
  * Imported translation collection
    psi-0.14_langpack_for_packagers_2009-12-02.zip, as compiled by 
    Frederik Schwarzer <schwarzerf@gmail.com>. Without Frederik's work,
    this release wouldn't have happened.
  * Fix lintian warnings

 -- Jan Niehusmann <jan@debian.org>  Wed, 06 Jan 2010 18:18:39 +0100

=== debian/control ===
Source: psi-translations
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends-Indep: qt3-dev-tools | qt3-tools
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3

Package: psi-translations
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, psi (>= 0.14-1)
Description: Translations for psi
 This package contains translations for the jabber client 'psi'

## psi-translations 1.11

=== Makefile ===
all:
	echo TRANSLATIONS = */*.ts >psi.pro
	lrelease psi.pro

clean:
	-rm */*.qm
	-rm psi.pro

=== debian/changelog ===
psi-translations (1.11) unstable; urgency=low

  * build-depend on libqt4-dev instead of qt3-dev-tools
    (Closes: Bug#678755)

 -- Jan Niehusmann <jan@debian.org>  Sun, 24 Jun 2012 18:43:39 +0200

=== debian/control ===
Source: psi-translations
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends-Indep: libqt4-dev
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3

Package: psi-translations
Architecture: all
Depends: ${misc:Depends}, psi (>= 0.14-1)
Description: Translations for psi
 This package contains translations for the jabber client 'psi'

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	
	cat debian/copyright.header >debian/copyright
	for infofile in */INFO; do cat $$infofile >>debian/copyright; echo >>debian/copyright; done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-rm debian/copyright

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(CURDIR)/debian/psi-translations/usr/share/psi/
	cp ./*/*.qm $(CURDIR)/debian/psi-translations/usr/share/psi/


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## psi-translations 1.12

=== Makefile ===
#/usr/bin/make -f

PSI_PRO_FILE = psi.pro

all: psi.pro
	lrelease $(PSI_PRO_FILE)

psi.pro:
	(TRANSLATIONS=""; \
	    for i in $$(find . -name '*.ts' -type f); do TRANSLATIONS="$${TRANSLATIONS} $$i"; done ; \
	    echo "TRANSLATIONS = $${TRANSLATIONS}" > $(PSI_PRO_FILE); \
	)

clean:
	-rm -f */*.qm
	-rm -f $(PSI_PRO_FILE)

.PHONY: all clean

=== debian/changelog ===
psi-translations (1.12) unstable; urgency=medium

  * Set Vcs-* entries in debian/control

 -- Jan Niehusmann <jan@debian.org>  Sun, 17 Feb 2019 14:33:20 +0100

psi-translations (1.11+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrate to Qt5 toolchain. (Closes: #875111)
  * debian/control:
    + Bump Standards-Version to 4.3.0.
    + Bump debhelper compat to v12.
  * debian/copyright: Keep a generated copy of debian/copyright
    to get rid of lintian warnings.
  * debian/source/format: Explicitly use 3.0 (native) format.
  * debian/dirs: Removed, not used.
  * debian/docs: Removed, not used.
  * Makefile: Make it more robust.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Feb 2019 12:43:13 -0500

=== debian/control ===
Source: psi-translations
Section: net
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends-Indep:
 qtbase5-dev,
 qtchooser,
 qttools5-dev-tools,
Build-Depends:
 debhelper-compat (= 12),
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/xmpp-team/psi-translations.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/psi-translations

Package: psi-translations
Architecture: all
Depends:
 psi (>= 0.14-1),
 ${misc:Depends},
Description: Translations for psi
 This package contains translations for the jabber client 'psi'.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT := 5

%:
	dh $@ --no-parallel

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_build:
	dh_auto_build
	cat debian/copyright.header > debian/copyright
	for infofile in */INFO; do cat $$infofile >>debian/copyright; echo >>debian/copyright; done

## psi-translations 1.12+nmu1

=== debian/changelog ===
psi-translations (1.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:36:35 +0800

## psi-translations 1.12+real1.5

=== debian/changelog ===
psi-translations (1.12+real1.5-4) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Boris Pek <tehnick@debian.org>  Thu, 04 Feb 2021 21:27:07 +0300

psi-translations (1.12+real1.5-3) unstable; urgency=medium

  * Add package psi-translations to Provides, Conflicts and Replaces
    fiels of binary package psi-l10n in debian/control.

 -- Boris Pek <tehnick@debian.org>  Wed, 03 Feb 2021 08:28:30 +0300

psi-translations (1.12+real1.5-2) unstable; urgency=medium

  * Rename binary package psi-translations to psi-l10n. (Closes: #698368)
  * Update debian/source/lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 03 Feb 2021 03:42:18 +0300

psi-translations (1.12+real1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #879811)
  * Add debian/watch.
  * Set debian/source/format to "3.0 (quilt)".
  * Add debian/patches/update-main-script.patch.
  * Update debian/control:
    - set Debian XMPP Maintainers as Maintainer
    - move Jan Niehusmann to Uploaders
    - add myself to Uploaders
    - add Homepage field
    - add "Rules-Requires-Root: no"
    - set "Section: localization" for binary package psi-translations
    - update short description of binary package psi-translations
    - update detailed description of binary package psi-translations
    - bump Standards-Version to 4.5.1 (was 4.3.0): no changes required
    - remove build dependency from qtchooser
  * Rewrite debian/rules from scratch.
  * Rewrite debian/copyright from scratch using copyright-format/1.0.
  * Add debian/upstream/metadata.
  * Add debian/source/lintian-overrides.
  * Remove debian/copyright.header.
  * Remove debian/install.
  * Add debian/docs.

 -- Boris Pek <tehnick@debian.org>  Wed, 03 Feb 2021 03:09:54 +0300

=== debian/control ===
Source: psi-translations
Section: net
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Jan Niehusmann <jan@debian.org>, Boris Pek <tehnick@debian.org>
Build-Depends-Indep: qtbase5-dev, qttools5-dev-tools
Build-Depends: debhelper-compat (= 12)
Homepage: https://github.com/psi-im/psi-l10n
Vcs-Git: https://salsa.debian.org/xmpp-team/psi-translations.git
Vcs-Browser: https://salsa.debian.org/xmpp-team/psi-translations
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: psi-l10n
Section: localization
Architecture: all
Depends: psi, ${misc:Depends}
Provides: psi-translations
Conflicts: psi-translations
Replaces: psi-translations
Description: localization files for Psi
 This package contains localization files for Psi.
 .
 If you want to add new or update any existing translation see:
 https://github.com/psi-plus/psi-plus-l10n
 https://www.transifex.com/tehnick/psi-plus/
 .
 Psi is a cross-platform powerful XMPP client designed for experienced users.
 User interface of program is very flexible in customization. For example,
 there are "multi windows" and "all in one" modes, support of different
 iconsets and themes. Psi supports file sharing and audio/video calls. Security
 is also a major consideration, and Psi provides it for both client-to-server
 (TLS) and client-to-client (OpenPGP, OTR, OMEMO) via appropriate plugins.
 .
 Psi+ is a development branch of Psi with rolling release development model.
 Users who wants to receive new features and bug fixes very quickly may use
 Psi+ on daily basis. Users who do not care about new trends and prefer
 constancy may choose Psi as it uses classical development model and its
 releases are quite rare.
 .
 List of supported XEPs you may found at:
 https://github.com/psi-im/psi/wiki/Supported-XEPs

=== debian/rules ===
#!/usr/bin/make -f

TRANSLATIONS_DIR=$(CURDIR)/debian/psi-l10n/usr/share/psi/translations/

export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_build:
	./update-translations.sh make

override_dh_auto_install:
	mkdir -p $(TRANSLATIONS_DIR)
	cp out/*.qm $(TRANSLATIONS_DIR)

override_dh_auto_clean:
	dh_clean
	rm -rf out/ translations.pro

=== debian/watch ===
version=4
https://github.com/psi-im/psi-l10n/tags \
.*/psi-im/psi-l10n/archive/(\d.+)\.tar\.gz \
debian uupdate
